Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5117)
@@ -39,6 +39,6 @@
     USE indice_sol_mod
     USE infotrac_phy, ONLY: nqtot, nbtr, nqo, tracers, type_trac
-    USE readTracFiles_mod, ONLY: addPhase
-    USE strings_mod, ONLY: strIdx
+    USE lmdz_readTracFiles, ONLY: addPhase
+    USE lmdz_strings, ONLY: strIdx
     USE iophy
     USE limit_read_mod, ONLY: init_limit_read
@@ -73,7 +73,7 @@
     USE tropopause_m, ONLY: dyn_tropopause
     USE ice_sursat_mod, ONLY: flight_init, airplane
-    USE vampir
+    USE lmdz_vampir
     USE lmdz_write_field_phy
-    USE wxios, ONLY: g_ctx, wxios_set_context
+    USE lmdz_wxios, ONLY: g_ctx, wxios_set_context
     USE lmdz_lscp, ONLY: lscp
     USE lmdz_call_cloud_optics_prop, ONLY: call_cloud_optics_prop
@@ -102,5 +102,5 @@
     USE lmdz_xios, ONLY: xios_update_calendar, xios_context_finalize, xios_get_field_attr, &
             xios_field_is_active, xios_context, xios_set_current_context
-    USE wxios, ONLY: missing_val, using_xios
+    USE lmdz_wxios, ONLY: missing_val, using_xios
     USE paramLMDZ_phy_mod
 
@@ -396,5 +396,5 @@
     !! d_ps----output-R-tendance physique de la pression au sol
     !!======================================================================
-    integer jjmp1
+    INTEGER jjmp1
     !  parameter (jjmp1=jjm+1-1/jjm) ! => (jjmp1=nbp_lat-1/(nbp_lat-1))
     !  integer iip1
@@ -476,5 +476,5 @@
     !$OMP THREADPRIVATE(seuil_inversion)
 
-    real facteur
+    REAL facteur
 
     REAL wmax_th(klon)
@@ -512,5 +512,5 @@
     REAL v(klon, klev)
 
-    REAL, intent(in) :: rot(klon, klev)
+    REAL, INTENT(IN) :: rot(klon, klev)
     ! relative vorticity, in s-1, needed for frontal waves
 
@@ -599,5 +599,5 @@
     INTEGER igwd, idx(klon), itest(klon)
 
-    !      REAL,allocatable,save :: run_off_lic_0(:)
+    !      REAL,ALLOCATABLE,save :: run_off_lic_0(:)
     !$OMP THREADPRIVATE(run_off_lic_0)
     !ym      SAVE run_off_lic_0
@@ -726,10 +726,10 @@
     ! continument (pcon dans
     ! thermcell_main.F90)
-    real fraca0(klon)           ! Fraction des thermiques au LCL
-    real w0(klon)               ! Vitesse des thermiques au LCL
-    real w_conv(klon)           ! Vitesse verticale de grande \'echelle au LCL
-    real tke0(klon, klev + 1)      ! TKE au d\'ebut du pas de temps
-    real therm_tke_max0(klon)   ! TKE dans les thermiques au LCL
-    real env_tke_max0(klon)     ! TKE dans l'environnement au LCL
+    REAL fraca0(klon)           ! Fraction des thermiques au LCL
+    REAL w0(klon)               ! Vitesse des thermiques au LCL
+    REAL w_conv(klon)           ! Vitesse verticale de grande \'echelle au LCL
+    REAL tke0(klon, klev + 1)      ! TKE au d\'ebut du pas de temps
+    REAL therm_tke_max0(klon)   ! TKE dans les thermiques au LCL
+    REAL env_tke_max0(klon)     ! TKE dans l'environnement au LCL
     INTEGER, SAVE :: iflag_thermcell_tke ! transtport TKE by thermals
     !$OMP THREADPRIVATE(iflag_thermcell_tke)
@@ -743,6 +743,6 @@
     !--------Statistical Boundary Layer Closure: ALP_BL--------
     !---Profils de TKE dans et hors du thermique
-    real therm_tke_max(klon, klev)   ! Profil de TKE dans les thermiques
-    real env_tke_max(klon, klev)     ! Profil de TKE dans l'environnement
+    REAL therm_tke_max(klon, klev)   ! Profil de TKE dans les thermiques
+    REAL env_tke_max(klon, klev)     ! Profil de TKE dans l'environnement
 
     !-------Activer les tendances de TKE due a l'orograp??ie---------
@@ -799,7 +799,7 @@
     SAVE lmt_pas                ! frequence de mise a jour
     !$OMP THREADPRIVATE(lmt_pas)
-    real zmasse(klon, nbp_lev), exner(klon, nbp_lev)
+    REAL zmasse(klon, nbp_lev), exner(klon, nbp_lev)
     !     (column-density of mass of air in a cell, in kg m-2)
-    real, parameter :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
+    REAL, parameter :: dobson_u = 2.1415e-05 ! Dobson unit, in kg m-2
 
     !IM sorties
@@ -878,5 +878,5 @@
     REAL za
     REAL zx_t, zx_qs, zdelta, zcor
-    real zqsat(klon, klev)
+    REAL zqsat(klon, klev)
 
     INTEGER i, k, iq, nsrf, l, itr
@@ -933,7 +933,7 @@
 
     ! tendance nulles
-    REAL, dimension(klon, klev) :: du0, dv0, dt0, dq0, dql0, dqi0, dqbs0
-    REAL, dimension(klon) :: dsig0, ddens0
-    INTEGER, dimension(klon) :: wkoccur1
+    REAL, DIMENSION(klon, klev) :: du0, dv0, dt0, dq0, dql0, dqi0, dqbs0
+    REAL, DIMENSION(klon) :: dsig0, ddens0
+    INTEGER, DIMENSION(klon) :: wkoccur1
     ! tendance buffer pour appel de add_phys_tend
     REAL, DIMENSION(klon, klev) :: d_q_ch4_dtime
@@ -988,5 +988,5 @@
     INTEGER, SAVE :: iflag_cld_th
     !$OMP THREADPRIVATE(iflag_cld_th)
-    !IM logical ptconv(klon,klev)  !passe dans phys_local_var_mod
+    !IM LOGICAL ptconv(klon,klev)  !passe dans phys_local_var_mod
     !IM cf. AM 081204 BEG
     LOGICAL ptconvth(klon, klev)
@@ -1098,5 +1098,5 @@
 
     ! Parameters
-    LOGICAL ok_ade, ok_aie    ! Apply aerosol (in)direct effects or not
+    LOGICAL ok_ade, ok_aie    ! Apply aerosol (IN)direct effects or not
     LOGICAL ok_alw            ! Apply aerosol LW effect or not
     LOGICAL ok_cdnc ! ok cloud droplet number concentration (O. Boucher 01-2013)
@@ -1183,5 +1183,5 @@
     INTEGER, ALLOCATABLE, SAVE :: iGCM(:), jGCM(:)
     !$OMP THREADPRIVATE(iGCM, jGCM)
-    logical, dimension(nfiles) :: phys_out_filestations
+    logical, DIMENSION(nfiles) :: phys_out_filestations
     logical, parameter :: lNMC = .FALSE.
 
@@ -1193,17 +1193,17 @@
     LOGICAL, SAVE :: mskocean_beta
     !$OMP THREADPRIVATE(mskocean_beta)
-    REAL, dimension(klon, klev) :: beta ! facteur sur cldtaurad et
+    REAL, DIMENSION(klon, klev) :: beta ! facteur sur cldtaurad et
     ! cldemirad pour evaluer les
     ! retros liees aux CRF
-    REAL, dimension(klon, klev) :: cldtaurad   ! epaisseur optique
+    REAL, DIMENSION(klon, klev) :: cldtaurad   ! epaisseur optique
     ! pour radlwsw pour
     ! tester "CRF off"
-    REAL, dimension(klon, klev) :: cldtaupirad ! epaisseur optique
+    REAL, DIMENSION(klon, klev) :: cldtaupirad ! epaisseur optique
     ! pour radlwsw pour
     ! tester "CRF off"
-    REAL, dimension(klon, klev) :: cldemirad   ! emissivite pour
+    REAL, DIMENSION(klon, klev) :: cldemirad   ! emissivite pour
     ! radlwsw pour tester
     ! "CRF off"
-    REAL, dimension(klon, klev) :: cldfrarad   ! fraction nuageuse
+    REAL, DIMENSION(klon, klev) :: cldfrarad   ! fraction nuageuse
 
     REAL :: calday, zxsnow_dummy(klon)
@@ -1220,9 +1220,9 @@
 
     INTEGER :: nbtr_tmp ! Number of tracer inside concvl
-    REAL, dimension(klon, klev) :: sh_in ! Specific humidity entering in phytrac
-    REAL, dimension(klon, klev) :: ch_in ! Condensed humidity entering in phytrac (eau liquide)
-    integer iostat
-
-    REAL, dimension(klon, klev + 1) :: l_mix_ave, wprime_ave
+    REAL, DIMENSION(klon, klev) :: sh_in ! Specific humidity entering in phytrac
+    REAL, DIMENSION(klon, klev) :: ch_in ! Condensed humidity entering in phytrac (eau liquide)
+    INTEGER iostat
+
+    REAL, DIMENSION(klon, klev + 1) :: l_mix_ave, wprime_ave
     REAL zzz
     !albedo SB >>>
@@ -1237,8 +1237,8 @@
     LOGICAL, PARAMETER :: ok_conserv_d_q_con = .FALSE.
 
-    REAL, dimension(klon, klev) :: t_env, q_env
-
-    REAL, dimension(klon) :: pr_et
-    REAL, dimension(klon) :: w_et, jlr_g_c, jlr_g_s
+    REAL, DIMENSION(klon, klev) :: t_env, q_env
+
+    REAL, DIMENSION(klon) :: pr_et
+    REAL, DIMENSION(klon) :: w_et, jlr_g_c, jlr_g_s
 
     REAL pi
@@ -1254,9 +1254,9 @@
     ! 14 mai 2023                                                          !
     !======================================================================!
-    if (debut) then                                                        !
+    IF (debut) then                                                        !
       iflag_physiq = 0
       CALL getin_p('iflag_physiq', iflag_physiq)                          !
     endif                                                                  !
-    if (iflag_physiq == 2) then                                          !
+    IF (iflag_physiq == 2) then                                          !
       CALL physiqex (nlon, nlev, &                                         !
               debut, lafin, pdtphys_, &                                             !
@@ -1363,5 +1363,5 @@
 
       !CR: check sur le nb de traceurs de l eau
-      IF ((iflag_ice_thermo>0).and.(nqo==2)) THEN
+      IF ((iflag_ice_thermo>0).AND.(nqo==2)) THEN
         WRITE (lunout, *) ' iflag_ice_thermo==1 requires 3 H2O tracers ', &
                 '(H2O_g, H2O_l, H2O_s) but nqo=', nqo, '. Might as well stop here.'
@@ -1745,5 +1745,5 @@
       IF (.NOT. create_etat0_limit) CALL init_readaerosolstrato(flag_aerosol_strat)  !! initialise aero strato from file for XIOS interpolation (unstructured_grid)
 
-      if (ok_cosp) THEN
+      IF (ok_cosp) THEN
 #ifdef CPP_COSP
         ! A.I : Initialisations pour le 1er passage a Cosp
@@ -1968,5 +1968,5 @@
                 "On va utiliser le melange convectif des traceurs qui"
         WRITE(lunout, *)"est calcule dans convect4.3"
-        WRITE(lunout, *)" !!! penser aux logical flags de phytrac"
+        WRITE(lunout, *)" !!! penser aux LOGICAL flags de phytrac"
 
         DO i = 1, klon
@@ -2150,5 +2150,5 @@
                 cell_area, ind_cell_glo)
 
-        if (grid_type==unstructured) THEN
+        IF (grid_type==unstructured) THEN
           CALL chemini(pplay, &
                   nbp_lon, nbp_lat, &
@@ -2307,5 +2307,5 @@
     itap = itap + 1
     IF (is_master .OR. prt_level > 9) THEN
-      IF (prt_level > 5 .or. MOD(itap, 5) == 0) THEN
+      IF (prt_level > 5 .OR. MOD(itap, 5) == 0) THEN
         WRITE(LUNOUT, *)'Entering physics elapsed seconds since start ', current_time
         WRITE(LUNOUT, 100)year_cur, mth_cur, day_cur, hour / 3600.
@@ -2751,5 +2751,5 @@
     ! A detruire en 2024 une fois les tests documentes et les choix faits        !
     ! Conservation des variables avant l'appel à l a diffusion pour les tehrmic  !
-    if (iflag_thermals_tenv / 10 == 1) then                                 !
+    IF (iflag_thermals_tenv / 10 == 1) then                                 !
       do k = 1, klev                                                          !
         do i = 1, klon                                                       !
@@ -2758,5 +2758,5 @@
         enddo                                                             !
       enddo                                                                !
-    else if (iflag_thermals_tenv / 10 == 2) then                            !
+    ELSE IF (iflag_thermals_tenv / 10 == 2) then                            !
       do k = 1, klev                                                          !
         do i = 1, klon                                                       !
@@ -2770,6 +2770,6 @@
 
       !jyg+nrlmd<
-      !!jyg       IF (prt_level .ge. 2 .and. mod(iflag_pbl_split,2) .eq. 1) THEN
-      IF (prt_level >= 2 .and. mod(iflag_pbl_split, 10) >= 1) THEN
+      !!jyg       IF (prt_level .ge. 2 .AND. mod(iflag_pbl_split,2) .EQ. 1) THEN
+      IF (prt_level >= 2 .AND. mod(iflag_pbl_split, 10) >= 1) THEN
         print *, 'debut du splitting de la PBL, wake_s = ', wake_s(:)
         print *, 'debut du splitting de la PBL, wake_deltat = ', wake_deltat(:, 1)
@@ -3301,5 +3301,5 @@
           ! où i n'est pas un point convectif et donc ibas_con(i)=0
           ! c'est un pb indépendant des isotopes
-          if (ibas_con(i) > 0) THEN
+          IF (ibas_con(i) > 0) THEN
             ema_pcb(i) = paprs(i, ibas_con(i))
           else
@@ -3556,5 +3556,5 @@
         ! Tests Fredho, instensibilite au pas de temps -------------------------------
         ! A detruire en 2024 une fois les tests documentes et les choix faits        !
-        if (iflag_thermals_tenv / 10 == 0) then                            !
+        IF (iflag_thermals_tenv / 10 == 0) then                            !
           do k = 1, klev                                                      !
             do i = 1, klon                                                   !
@@ -3563,5 +3563,5 @@
             enddo                                                         !
           enddo                                                            !
-        else if (iflag_thermals_tenv / 10 == 2) then                      !
+        ELSE IF (iflag_thermals_tenv / 10 == 2) then                      !
           do k = 1, klev                                                      !
             do i = 1, klon                                                   !
@@ -3569,5 +3569,5 @@
             enddo                                                         !
           enddo                                                            !
-        else if (iflag_thermals_tenv / 10 == 3) then                      !
+        ELSE IF (iflag_thermals_tenv / 10 == 3) then                      !
           do k = 1, klev                                                      !
             do i = 1, klon                                                   !
@@ -3672,5 +3672,5 @@
         ! Transport de la TKE par les panaches thermiques.
         ! FH : 2010/02/01
-        if (iflag_thermcell_tke==1) THEN
+        IF (iflag_thermcell_tke==1) THEN
           CALL thermcell_dtke(klon, klev, nbsrf, pdtphys, fm_therm, entr_therm, rg, paprs, pbl_tke)
         endif
@@ -3692,5 +3692,5 @@
       ! Dans le cas contraire, on demarre au niveau 1.
 
-      IF (iflag_thermals>=13.or.iflag_thermals<=0) THEN
+      IF (iflag_thermals>=13.OR.iflag_thermals<=0) THEN
 
         IF (iflag_thermals==0) THEN
@@ -3885,5 +3885,5 @@
 
     !IM cf FH
-    !     IF (iflag_cld_th.eq.-1) THEN ! seulement pour Tiedtke
+    !     IF (iflag_cld_th.EQ.-1) THEN ! seulement pour Tiedtke
     IF (iflag_cld_th<=-1) THEN ! seulement pour Tiedtke
       snow_tiedtke = 0.
@@ -4004,5 +4004,5 @@
     !        do i=1,klon
     !              zzz=prfl(:,k)+psfl(:,k)
-    !           if (.not.ptconvth.zzz.gt.0.)
+    !           if (.NOT.ptconvth.zzz.gt.0.)
     !        enddo prfl, psfl,
     !     enddo
@@ -4035,5 +4035,5 @@
         zx_t = t_seri(i, k)
         IF (thermcep) THEN
-          !!           if (iflag_ice_thermo.eq.0) then                 !jyg
+          !!           if (iflag_ice_thermo.EQ.0) then                 !jyg
           zdelta = MAX(0., SIGN(1., rtt - zx_t))
           !!           else                                            !jyg
@@ -4830,5 +4830,5 @@
     ENDIF
 
-    IF (.not. ok_hines .and. ok_gwd_rando) THEN
+    IF (.NOT. ok_hines .AND. ok_gwd_rando) THEN
       ! ym missing init for east_gwstress & west_gwstress -> added in phys_local_var_mod
       CALL acama_GWD_rando(PHYS_TSTEP, pplay, latitude_deg, t_seri, u_seri, &
@@ -4890,5 +4890,5 @@
     !IM calcul composantes axiales du moment angulaire et couple des montagnes
 
-    IF (is_sequential .and. ok_orodr) THEN
+    IF (is_sequential .AND. ok_orodr) THEN
       CALL aaam_bud (27, klon, klev, jD_cur - jD_ref, jH_cur, &
               ra, rg, romega, &
@@ -5070,5 +5070,5 @@
       ! adeclarer
 #ifdef CPP_COSP
-       IF (itap.eq.1.or.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
+       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 
           IF (prt_level .GE.10) THEN
@@ -5101,5 +5101,5 @@
 
 #ifdef CPP_COSP2
-       IF (itap.eq.1.or.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
+       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 
           IF (prt_level .GE.10) THEN
@@ -5125,5 +5125,5 @@
 
 #ifdef CPP_COSPV2
-       IF (itap.eq.1.or.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
+       IF (itap.EQ.1.OR.MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 !        IF (MOD(itap,NINT(freq_cosp/phys_tstep)).EQ.0) THEN
 
@@ -5160,5 +5160,5 @@
 
     IF (ok_airs) THEN
-      IF (itap==1.or.MOD(itap, NINT(freq_airs / phys_tstep))==0) THEN
+      IF (itap==1.OR.MOD(itap, NINT(freq_airs / phys_tstep))==0) THEN
         WRITE(*, *) 'je vais appeler simu_airs, ok_airs, freq_airs=', ok_airs, freq_airs
         CALL simu_airs(itap, rneb, t_seri, cldemi, fiwc, ref_ice, pphi, pplay, paprs, &
@@ -5456,9 +5456,9 @@
         ENDIF
         !--ice_sursat: nqo=4, on ajoute rneb
-        IF (nqo>=4 .and. ok_ice_sursat) THEN
+        IF (nqo>=4 .AND. ok_ice_sursat) THEN
           d_qx(i, k, irneb) = (rneb_seri(i, k) - qx(i, k, irneb)) / phys_tstep
         ENDIF
 
-        IF (nqo>=4 .and. ok_bs) THEN
+        IF (nqo>=4 .AND. ok_bs) THEN
           d_qx(i, k, ibs) = (qbs_seri(i, k) - qx(i, k, ibs)) / phys_tstep
         ENDIF
@@ -5630,5 +5630,5 @@
 
     ! Petit appelle de sorties pour accompagner le travail sur phyex
-    if (iflag_physiq == 1) THEN
+    IF (iflag_physiq == 1) THEN
       CALL output_physiqex(debut, jD_eq, pdtphys, presnivs, paprs, u, v, t, qx, cldfra, 0. * t, 0. * t, 0. * t, pbl_tke, theta)
     endif
@@ -5678,5 +5678,5 @@
         END IF
 
-        IF (is_omp_master .and. grid_type==unstructured) CALL xios_context_finalize
+        IF (is_omp_master .AND. grid_type==unstructured) CALL xios_context_finalize
       ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5117)
@@ -26,25 +26,25 @@
 ! Routine argument:
 
-      integer,intent(in) :: nlon ! number of atmospheric colums
-      integer,intent(in) :: nlev ! number of vertical levels (should be =klev)
-      logical,intent(in) :: debut ! signals first CALL to physics
-      logical,intent(in) :: lafin ! signals last CALL to physics
-      real,intent(in) :: pdtphys ! physics time step (s)
-      real,intent(in) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
-      real,intent(in) :: pplay(klon,klev) ! mid-layer pressure (Pa)
-      real,intent(in) :: pphi(klon,klev) ! geopotential at mid-layer
-      real,intent(in) :: pphis(klon) ! surface geopotential
-      real,intent(in) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
-      real,intent(in) :: u(klon,klev) ! eastward zonal wind (m/s)
-      real,intent(in) :: v(klon,klev) ! northward meridional wind (m/s)
-      real,intent(in) :: rot(klon,klev) ! northward meridional wind (m/s)
-      real,intent(in) :: t(klon,klev) ! temperature (K)
-      real,intent(in) :: qx(klon,klev,nqtot) ! tracers (.../kg_air)
-      real,intent(in) :: flxmass_w(klon,klev) ! vertical mass flux
-      real,intent(out) :: d_u(klon,klev) ! physics tendency on u (m/s/s)
-      real,intent(out) :: d_v(klon,klev) ! physics tendency on v (m/s/s)
-      real,intent(out) :: d_t(klon,klev) ! physics tendency on t (K/s)
-      real,intent(out) :: d_qx(klon,klev,nqtot) ! physics tendency on tracers
-      real,intent(out) :: d_ps(klon) ! physics tendency on surface pressure
+      INTEGER,INTENT(IN) :: nlon ! number of atmospheric colums
+      INTEGER,INTENT(IN) :: nlev ! number of vertical levels (should be =klev)
+      logical,INTENT(IN) :: debut ! signals first CALL to physics
+      logical,INTENT(IN) :: lafin ! signals last CALL to physics
+      REAL,INTENT(IN) :: pdtphys ! physics time step (s)
+      REAL,INTENT(IN) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
+      REAL,INTENT(IN) :: pplay(klon,klev) ! mid-layer pressure (Pa)
+      REAL,INTENT(IN) :: pphi(klon,klev) ! geopotential at mid-layer
+      REAL,INTENT(IN) :: pphis(klon) ! surface geopotential
+      REAL,INTENT(IN) :: presnivs(klev) ! pseudo-pressure (Pa) of mid-layers
+      REAL,INTENT(IN) :: u(klon,klev) ! eastward zonal wind (m/s)
+      REAL,INTENT(IN) :: v(klon,klev) ! northward meridional wind (m/s)
+      REAL,INTENT(IN) :: rot(klon,klev) ! northward meridional wind (m/s)
+      REAL,INTENT(IN) :: t(klon,klev) ! temperature (K)
+      REAL,INTENT(IN) :: qx(klon,klev,nqtot) ! tracers (.../kg_air)
+      REAL,INTENT(IN) :: flxmass_w(klon,klev) ! vertical mass flux
+      REAL,INTENT(OUT) :: d_u(klon,klev) ! physics tendency on u (m/s/s)
+      REAL,INTENT(OUT) :: d_v(klon,klev) ! physics tendency on v (m/s/s)
+      REAL,INTENT(OUT) :: d_t(klon,klev) ! physics tendency on t (K/s)
+      REAL,INTENT(OUT) :: d_qx(klon,klev,nqtot) ! physics tendency on tracers
+      REAL,INTENT(OUT) :: d_ps(klon) ! physics tendency on surface pressure
 
 !    include "clesphys.h"
@@ -62,5 +62,5 @@
 !$OMP THREADPRIVATE(first)
 
-real,save :: rg=9.81
+REAL,save :: rg=9.81
 !$OMP THREADPRIVATE(rg)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5117)
@@ -123,5 +123,5 @@
     USE dimphy
     USE infotrac_phy, ONLY: nbtr, nqCO2, type_trac, conv_flg, pbl_flg
-    USE strings_mod, ONLY: int2str
+    USE lmdz_strings, ONLY: int2str
     USE lmdz_grid_phy
     USE lmdz_phys_para
@@ -190,5 +190,5 @@
     REAL :: ql_incl ! contenu en eau liquide nuageuse dans le nuage ! ql_incl=oliq/rneb
     REAL, DIMENSION(klon, klev), INTENT(IN) :: beta_fisrt ! taux de conversion de l'eau cond (de fisrtilp)
-    REAL, DIMENSION(klon, klev), INTENT(out) :: beta_v1    ! -- (originale version)
+    REAL, DIMENSION(klon, klev), INTENT(OUT) :: beta_v1    ! -- (originale version)
 
     INTEGER, DIMENSION(klon), INTENT(IN) :: itop_con
@@ -556,5 +556,5 @@
             flag_cvltr(it) = .FALSE.
           ELSE IF (type_trac == 'coag' .AND. CPPKEY_STRATAER) THEN
-            IF (convscav.and.aerosol(it)) THEN
+            IF (convscav.AND.aerosol(it)) THEN
               flag_cvltr(it) = .TRUE.
               ccntrAA(it) = ccntrAA_in
@@ -565,5 +565,5 @@
             ENDIF
           ELSE IF (type_trac == 'lmdz') THEN
-            IF (convscav.and.aerosol(it)) THEN
+            IF (convscav.AND.aerosol(it)) THEN
               flag_cvltr(it) = .TRUE.
               ccntrAA(it) = ccntrAA_in    !--a modifier par JYG a lire depuis fichier
@@ -576,5 +576,5 @@
         ENDDO
 
-      ELSE ! iflag_con .ne. 3
+      ELSE ! iflag_con .NE. 3
         flag_cvltr(:) = .FALSE.
       ENDIF
@@ -985,5 +985,5 @@
                   !-------------   d_tr_evapls(i,k,it)=-0.5*evaplsc*(d_tr_lsc(i,k+1,it))
                   beta = 0.5 * evaplsc
-                  if ((prfl(i, k) + psfl(i, k))<1.e-10) THEN
+                  IF ((prfl(i, k) + psfl(i, k))<1.e-10) THEN
                     beta = 1.0 * evaplsc
                   endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90	(revision 5117)
@@ -10,5 +10,5 @@
   USE dimphy
   USE phys_state_var_mod, ONLY: missing_val_nf90
-  USE wxios, ONLY: missing_val_xios => missing_val, using_xios
+  USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
   IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/plevel_new.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/plevel_new.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/plevel_new.F90	(revision 5117)
@@ -10,5 +10,5 @@
   USE dimphy
   USE phys_state_var_mod, ONLY: missing_val_nf90
-  USE wxios, ONLY: missing_val_xios=>missing_val, using_xios
+  USE lmdz_wxios, ONLY: missing_val_xios=>missing_val, using_xios
 
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5117)
@@ -4,9 +4,9 @@
   IMPLICIT NONE
 
-  real, allocatable, save:: plev(:)
+  REAL, ALLOCATABLE, save:: plev(:)
   ! (pressure level of Mobidic input data, converted to Pa, in strictly
   ! ascending order)
 
-  real, allocatable, save:: press_in_edg(:)
+  REAL, ALLOCATABLE, save:: press_in_edg(:)
   ! (edges of pressure intervals for Mobidic input data, in Pa, in strictly
   ! ascending order)
@@ -23,14 +23,14 @@
     ! and in strictly ascending order.
 
-    use netcdf95, ONLY: nf95_open, nf95_close, nf95_gw_var, nf95_inq_varid
-    use netcdf, ONLY: nf90_nowrite
+    USE netcdf95, ONLY: nf95_open, nf95_close, nf95_gw_var, nf95_inq_varid
+    USE netcdf, ONLY: nf90_nowrite
 
-    use lmdz_phys_mpi_data, ONLY: is_mpi_root
-    use lmdz_phys_mpi_transfert, ONLY: bcast_mpi ! broadcast
+    USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+    USE lmdz_phys_mpi_transfert, ONLY: bcast_mpi ! broadcast
 
     ! Variables local to the procedure:
-    integer ncid, varid ! for NetCDF
-    integer n_plev ! number of pressure levels in the input data
-    integer k
+    INTEGER ncid, varid ! for NetCDF
+    INTEGER n_plev ! number of pressure levels in the input data
+    INTEGER k
 
     !---------------------------------------
@@ -39,5 +39,5 @@
     print *, "Call sequence information: press_coefoz"
 
-    if (is_mpi_root) THEN
+    IF (is_mpi_root) THEN
        CALL nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
 
@@ -52,10 +52,10 @@
 
     CALL bcast_mpi(n_plev)
-    if (.not. is_mpi_root) allocate(plev(n_plev))
+    IF (.NOT. is_mpi_root) allocate(plev(n_plev))
     CALL bcast_mpi(plev)
     
     ! Compute edges of pressure intervals:
     allocate(press_in_edg(n_plev + 1))
-    if (is_mpi_root) THEN
+    IF (is_mpi_root) THEN
        press_in_edg(1) = 0.
        ! We choose edges halfway in logarithm:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5117)
@@ -5,9 +5,9 @@
 USE lmdz_geometry, ONLY: longitude_deg, latitude_deg
 IMPLICIT NONE
-integer i,debug_lev
+INTEGER i,debug_lev
 CHARACTER*(*) text
 
 
-integer k
+INTEGER k
 
 PRINT*,'PLANTAGE POUR LE POINT i=',i,text
